Bug 109360 - Misupgrading glibc makes the system useless
Misupgrading glibc makes the system useless
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-11-06 20:02 EST by Zenon Panoussis
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-07 10:02:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zenon Panoussis 2003-11-06 20:02:44 EST
Description of problem:
Upgrading redhat 10 beta1 to fedora core 1. After rpm -Fhv glibc* ,
mostly everything ends with something like 

rpm: error while loading shared libraries: librpmdb-4.2.so: cannot
enable executable stack as shared object requires: Permission denied


lynx: error while loading shared libraries: libncurses.so.5: cannot
enable executable stack as shared object requires: Permission denied

How reproducible:
After this, I can't reproduce anything at all. Probably not even myself. 
Actual results:
Everything locked and blocked.

Expected results:
Either continued functionality or a dependency block against upgrading

Additional info:
Upgraded an i686 machine with the i386 glibc (throw things at me; I've
been bitten by this one before). There is a long-standing and recently
fixed rh9 bug on this. The fix should have made its way into fedora
before final release. 

Proposed solution:
Put the rh9 glibc fix in fedora. Quick, before this bug grows like the
previous one. 

Notes to the next victim:
See bug #88771 and bug #88456 for how to get out of this.
Comment 1 Zenon Panoussis 2003-11-06 20:28:48 EST
Unlike last time, it's only shared libraries that don't work. bash
does work, and so do other things that don't need access to libraries.
Perhaps I'm looking at a different problem than last time, after all. 
Comment 2 Jeff Johnson 2003-11-07 10:02:31 EST
This is not an rpm problem.
Comment 3 Zenon Panoussis 2003-11-07 10:08:19 EST
It might not be an rpm problem, but it certainly is a problem.
Wouldn't re-labelling it and re-assigning it be a better approach than
just closing it? 

Note You need to log in before you can comment on or make changes to this bug.